QExtend - Bogue #734

abort() non définit
05/25/2010 11:25 AM - gbdivers

Status: Fermé Start date: 05/25/2010
Priority: Urgent Due date:

Assignee: johnlamericain % Done: 0%
Category: Compilation Estimated time: 0.00 hour
Target version: Version 0.0.1 Spent time: 0.10 hour
Description

Messages d'erreur :

../../dev/src/core/logger.cpp: In static member function ‘static void QExtend::Logger::log(QExtend::LoggerType, const char*, const
char*)”:
.J../dev/src/core/logger.cpp:139: error: ‘abort’ was not declared in this scope

1. %kx

make: *** [logger.o] Erreur 1

Cela fonctionne en ajoutant #include <stdlib.h> mais ¢a serait peut étre mieux de quitter I'application en utilisant static void
QCoreApplication::exit(int returnCode = 0) (http://doc.qgt.nokia.com/4.7-snapshot/qcoreapplication.html#exit)

History

#1 - 05/25/2010 11:27 AM - gbdivers

petits détails :
- OS : ubuntu 10.4 64b
- Qt 4.7 beta

#2 - 05/25/2010 04:00 PM - gbdivers

erreur de commit, j'ai ajouté #include <stdlib.h>

Vérifier que ¢a fonctionne encore de ton coté

#3 - 05/25/2010 04:06 PM - yan

Au lieu de stdlib.h il faut normalement utilisé cstdlib.
Pourquoi en as tu besoin pour le logger??

#4 - 05/25/2010 06:57 PM - gbdivers

Il utilise la fonction abort() de stdlib pour quitter I'application en cas de gFatal()
Pour ¢a que je disais que ¢a serait mieux d'utiliser QCoreApplication::exit()

#5 - 05/25/2010 07:08 PM - yan

ok.
+1 alors

#6 - 05/31/2010 10:54 AM - johnlamericain

- Status changed from Assigné to Fermé

Changement effectué !
